### Method

# Gsk RoundedRect init

#### Declaration [src]

    GskRoundedRect*
    gsk_rounded_rect_init (
      GskRoundedRect* self,
      const graphene_rect_t* bounds,
      const graphene_size_t* top_left,
      const graphene_size_t* top_right,
      const graphene_size_t* bottom_right,
      const graphene_size_t* bottom_left
    )

#### Description [src]

Initializes the given `GskRoundedRect` with the given values.

This function will implicitly normalize the `GskRoundedRect` before returning.

#### Parameters

`bounds` | `const graphene_rect_t*`
| A `graphene_rect_t` describing the bounds.
| The data is owned by the caller of the function.
`top_left` | `const graphene_size_t*`
| The rounding radius of the top left corner.
| The data is owned by the caller of the function.
`top_right` | `const graphene_size_t*`
| The rounding radius of the top right corner.
| The data is owned by the caller of the function.
`bottom_right` | `const graphene_size_t*`
| The rounding radius of the bottom right corner.
| The data is owned by the caller of the function.
`bottom_left` | `const graphene_size_t*`
| The rounding radius of the bottom left corner.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GskRoundedRect`
| The initialized rectangle.
| The data is owned by the instance.